kind: pipeline
name: default
type: exec

steps:
  - name: lfs
    commands:
      - git lfs install
      - git lfs pull

  - name: build
    commands:
      - nix build -L

  - name: push-prod
    when:
      branch:
        - master
    environment:
      NETLIFY_AUTH_TOKEN:
        from_secret: netlify_auth_token
    commands:
      - cp --no-preserve=mode -rL result netlify-does-not-follow-symlinks
      - nix develop -c netlify deploy --prod -d netlify-does-not-follow-symlinks
      - rm -rf netlify-does-not-follow-symlinks

  - name: push-staging
    when:
      branch:
        exclude:
          - master
    environment:
      NETLIFY_AUTH_TOKEN:
        from_secret: netlify_auth_token
    commands:
      - cp --no-preserve=mode -rL result netlify-does-not-follow-symlinks
      - nix develop -c netlify deploy -d netlify-does-not-follow-symlinks
      - rm -rf netlify-does-not-follow-symlinks
